package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

public interface PublicInterForDetailService {

	/**
	 * 获取单据详情
	 * 
	 * @param id
	 * @param whichpage
	 * @return
	 */
	public ModelMap getDocumentsDetail(Long id, Integer whichpage);

	/**
	 * 删除单据
	 * 
	 * @param id
	 * @param whichpage
	 * @return
	 */
	public ModelMap deleteDocuments(Long id, Integer whichpage);

	/**
	 * 重新提交单据
	 * 
	 * @param id
	 * @param whichpage
	 * @return
	 */
	public ModelMap resubmitDocuments(Long id, Integer whichpage);

	/**
	 * 变更处理人
	 * 
	 * @param id
	 * @param emcode
	 * @param reason
	 * @return
	 */
	public ModelMap changeDealMan(Long id, Long emcode, String reason);
}
